LSLOCKS(8)

NOM
lslocks - Afficher les verrous système locaux

SYNOPSIS
lslocks [options]

DESCRIPTION
lslocks affiche des renseignements sur les verrous de fichier actuellement maintenus dans un système Linux.

OPTIONS

-n, --noheadings
    Ne pas afficher de ligne d'en-tête.

-o, --output liste
    Indiquer les colonnes à afficher. Utilisez --help pour obtenir une liste de toutes les colonnes disponibles.

    La liste de colonnes par défaut peut être étendue si liste est indiquée sous la forme +liste (par exemple, lslocks -o +BLOCKER).

-p, --pid PID
    N’afficher que les verrous maintenus par le processus avec ce PID.

-r, --raw
    Utiliser l'affichage au format brut.

-u, --notruncate
    Ne pas tronquer le texte des colonnes.

-V, --version
    Afficher les informations sur la version et quitter.

-h, --help
    Afficher un texte d'aide puis quitter.

SORTIE

COMMAND
    Le nom de commande du processus qui détient le verrou.

PID L’identifiant de processus du processus qui détient le verrou.

TYPE
    Le type de verrou ; il peut être FLOCK (créé avec flock(2)) ou POSIX (créé avec fcntl(2) et lockf(3)).

SIZE
    La taille du fichier verrouillé.

MODE
    Les droits d’accès (lecture, écriture) du verrou. Si le processus est bloqué en attente du verrou, alors le mode a un « * » (astérisque) en suffixe

M   Si le verrou est obligatoire : 0 signifie non (c’est-à-dire que le verrou n’est que coopératif), 1 signifie oui (consultez fcntl(2)).

START
    Position relative en octet du verrou.

END Position finale du verrou.

PATH
    Chemin complet du verrou. Si aucun n’est trouvé ou si la lecture du chemin n’est pas permise, le point de montage du périphérique sera utilisé en solution de repli. Le chemin pourrait être tronqué ; utilisez --notruncate pour obtenir le chemin complet.

BLOCKER
    Le PID du processus qui bloque le verrou.

NOTES
La commande lslocks a pour but de remplacer la commande lslk(8), écrite
à l’origine par Victor A. Abell <abe@purdue.edu> et non maintenue
depuis 2001.

AUTEURS
Davidlohr Bueso <dave@gnu.org>

VOIR AUSSI
flock(1), fcntl(2), lockf(2)

DISPONIBILITÉ
La commande lslocks fait partie du paquet util-linux, elle est disponible sur <ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.